## tf 0.3.2

=== DESCRIPTION ===
Package: tf
Title: S3 Classes and Methods for Tidy Functional Data
Version: 0.3.2
Authors@R: c(
    person("Fabian", "Scheipl", email = "fabian.scheipl@googlemail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-8172-3603")),
    person("Jeff", "Goldsmith", role = "aut"),
    person("Julia", "Wrobel", role = "ctb", 
           comment = c(ORCID = "0000-0001-6783-1421")),
    person("Maximilian", "Muecke", role = "ctb",
           comment = c(ORCID = "0009-0000-9432-9795")),
    person("Sebastian", "Fischer", role = "ctb",
           comment = c(ORCID = "0000-0002-9609-3197")),
    person("Trevor", "Hastie", role = "ctb", 
           comment = "softImpute author"),       
    person("Rahul", "Mazumder", role = "ctb", 
           comment = "softImpute author"),
    person("Chen", "Meng", role = "ctb", 
           comment = "mogsa author")
  )
Description: Defines S3 vector data types for vectors of functional data 
   (grid-based, spline-based or functional principal components-based) with all 
   arithmetic and summary methods, derivation, integration and smoothing, 
   plotting, data import and export, and data wrangling, such as re-evaluating, 
   subsetting, sub-assigning, zooming into sub-domains, or extracting functional 
   features like minima/maxima and their locations. 
   The implementation allows including such vectors in data frames for joint 
   analysis of functional and scalar variables.
License: AGPL (>= 3)
URL: https://tidyfun.github.io/tf/, https://github.com/tidyfun/tf/
BugReports: https://github.com/tidyfun/tf/issues
Depends: R (>= 4.1)
Imports: checkmate, methods, mgcv, mvtnorm, pracma, purrr, rlang,
        stats, vctrs (>= 0.2.4), zoo
Suggests: covr, dplyr, knitr, refund, testthat (>= 3.0.0)
Encoding: UTF-8
RoxygenNote: 7.3.1
Collate: 'approx.R' 'bibentries.R' 'brackets.R' 'calculus.R'
        'convert-construct-utils.R' 'convert.R' 'depth.R' 'evaluate.R'
        'fwise.R' 'globals.R' 'graphics.R' 'interpolate.R' 'ops.R'
        'math.R' 'methods.R' 'print-format.R' 'rebase.R' 'rng.R'
        'smooth.R' 'soft-impute-svd.R' 'summarize.R' 'tf-package.R'
        'tfb-fpc.R' 'tfb-spline.R' 'tfb-class.R' 'tfd-class.R'
        'tf-s4.R' 'tfb-fpc-utils.R' 'tfb-spline-utils.R' 'utils.R'
        'vctrs-cast.R' 'vctrs-ptype2.R' 'where.R' 'zoom.R'
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2024-03-15 13:18:58 UTC; fabians
Author: Fabian Scheipl [aut, cre] (<https://orcid.org/0000-0001-8172-3603>),
  Jeff Goldsmith [aut],
  Julia Wrobel [ctb] (<https://orcid.org/0000-0001-6783-1421>),
  Maximilian Muecke [ctb] (<https://orcid.org/0009-0000-9432-9795>),
  Sebastian Fischer [ctb] (<https://orcid.org/0000-0002-9609-3197>),
  Trevor Hastie [ctb] (softImpute author),
  Rahul Mazumder [ctb] (softImpute author),
  Chen Meng [ctb] (mogsa author)
Maintainer: Fabian Scheipl <fabian.scheipl@googlemail.com>
Repository: CRAN
Date/Publication: 2024-03-18 17:30:02 UTC

## tf 0.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tf
 Title: S3 Classes and Methods for Tidy Functional Data
-Version: 0.3.2
+Version: 0.3.3
 Authors@R: c(
     person("Fabian", "Scheipl", email = "fabian.scheipl@googlemail.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-8172-3603")),
@@ -45,7 +45,7 @@
         'vctrs-cast.R' 'vctrs-ptype2.R' 'where.R' 'zoom.R'
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2024-03-15 13:18:58 UTC; fabians
+Packaged: 2024-03-27 10:45:38 UTC; fabians
 Author: Fabian Scheipl [aut, cre] (<https://orcid.org/0000-0001-8172-3603>),
   Jeff Goldsmith [aut],
   Julia Wrobel [ctb] (<https://orcid.org/0000-0001-6783-1421>),
@@ -56,4 +56,4 @@
   Chen Meng [ctb] (mogsa author)
 Maintainer: Fabian Scheipl <fabian.scheipl@googlemail.com>
 Repository: CRAN
-Date/Publication: 2024-03-18 17:30:02 UTC
+Date/Publication: 2024-03-28 15:50:02 UTC

## tf 3.5b1

=== unix/Makefile ===
# $Id: Makefile,v 35000.6 1996/11/10 02:11:05 hawkeye Exp $
########################################################################
#
#  TinyFugue - programmable mud client
#  Copyright (C) 1994, 1995, 1996 Ken Keys
#
#  TinyFugue (aka "tf") is protected under the terms of the GNU
#  General Public Licence.  See the file "COPYING" for details.
#
#  DO NOT EDIT THIS FILE.  To change the default configuration,
#  see "README" and edit "Config".
#
########################################################################

# unix Makefile.
# This is invoked from unixmake, so the working directory is the root.

SHELL = /bin/sh

default: install
# If the next rule were first, a few strange versions of make would try
# to make "install", "all", AND "files", instead of just "install".

install all files: src/Makefile src/config.h _log
	cd ./src; { $(MAKE) $@ 2>&1; echo; cat exitmsg; } | \
	    { tee -a ../Build.log || cat; }

reconfigure:  unconfigure install

unconfigure:
	rm -f src/Makefile src/config.h

config src/Makefile src/config.h: Makefile unix/Config unix/tfconfig unix/unix.mak
	@rm -f ../src/Makefile ../src/config.h ../Build.log tfconfig.log
#	Use tfconfig to create config files.  If it fails, we don't exit
#	now, we want to create Build.log first.  Instead, we rm src/Makefile
#	but not src/config.h;  this lets 'install' continue on to '_log'.
#	('install' probably got here via the src/Makefile dependancy; if we
#	rm'd src/config.h, then 'install' would come back here again for the
#	src/config.h dependancy.)  Then, '_log' will create Build.log and,
#	if an error occured in this rule, '_log' will exit.
#	Note: tee eats exit code of tfconfig, so we couldn't use it anyway.
#	Note: some buggy versions of bash can't handle using descriptor 3 here.
	-@cd unix; \
		{ ./tfconfig $(TFVER) 2>&1 4>../src/config.h 5>vars.mak || \
		rm -f ../src/Makefile; } | \
			tee tfconfig.log

_log:
	-@{ cat unix/tfconfig.log; echo; } > Build.log
#	Exit now if there were errors in tfconfig.
	@test -f src/Makefile && test -f src/config.h
#	No errors.  Save info in Build.log, and continue.
	-@{ cat unix/vars.mak; echo; } >> Build.log
	-@{ cat src/config.h; echo; } >> Build.log

clean:
	cd ./src; rm -f *.o Makefile core* exitmsg config.h typescript
	cd ./unix; rm -f vars.mak *.log functest* libtest* test.c a.out

distclean:  clean
	rm -f Build.log
#	cd ./tf-lib; rm -f tf-help.idx
	cd ./src; rm -f tf makehelp tags
	cd ./src; rm -f tf.pixie* tf.Addrs* tf.Counts*

spotless cleanest veryclean:  distclean
	cd ./src; rm -f tf.1.catman

uninstall:
	cd ./src; $(MAKE) uninstall

srcdist:
	cd ./src; $(MAKE) -f ../unix/unix.mak dist

help ./tf-lib/tf-help: _always_
	if cd ./help; then $(MAKE) && mv tf-help ../tf-lib; else true; fi

tar ../tf-$(TFVER).tar: ./src/*.[ch] srcdist distclean
	@-cd ./src; echo Possible garbage in ./src/: \
	    `ls *out *err *foo* *bar* *.new *.old *.ok *.c.* *.tf \
	    2>/dev/null`
	@wd=`pwd`; [ "`basename $$wd`" = "work" ] || \
	    echo 'WARNING: You are not in the "work" directory.'
	@echo 'Press return to archive tf-$(TFVER).'
	@read foo
	rm -rf ../tf-$(TFVER)
	-for dir in "/" /src/ /src/regexp/ /tf-lib/ /unix/ /os2/; do \
	    mkdir ../tf-$(TFVER)$${dir}; \
	    cp .$${dir}* ../tf-$(TFVER)$${dir}; \
	    chmod ugo+r ../tf-$(TFVER)$${dir}*; \
	done
	chmod ugo+r ../tf-$(TFVER)
	rm -f ../tf-$(TFVER)/src/dmalloc.c
	cd ..; tar -cf tf-$(TFVER).tar tf-$(TFVER)

dist: ./tf-lib/tf-help ../tf-$(TFVER).tar
	cd ..; gzip -c tf-$(TFVER).tar > tf-$(TFVER).tar.gz
	cd ..; compress tf-$(TFVER).tar
	cd ..; zip -qlr tf-$(TFVER).zip tf-$(TFVER)
	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).tar.Z tf-$(TFVER).zip

gzdist: ./tf-lib/tf-help ../tf-$(TFVER).tar
	cd ..; gzip tf-$(TFVER).tar

local:
	TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' \
	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files

devlocal:
	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' TFDEV_STRIP=':' \
	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files

devhome:
	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
	    TFDEV_SYMLINK="$$HOME/bin/tf" \
	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files

dev:
	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files

laurel: devhome
	cp CHANGES $$HOME/public_html/tf/

_always_:

# hack to get around a bug in BSDi (and FreeBSD?) make.
make:

## tf 3.5b4

=== Makefile ===
CC=gcc
CFLAGS=-g

tf-help: html2tf debug commands/*.html topics/*.html
	./html2tf commands/*.html > tf-help || { rm tf-help; exit 1; }
	./html2tf topics/*.html >> tf-help || { rm tf-help; exit 1; }

debug:
	@# Test for missing quotes
	egrep '<a href="[^"]*>' */*.html && false || true

clean:
	rm -f html2tf tf-help

=== unix/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 35000.6 1996/11/10 02:11:05 hawkeye Exp $
+# $Id: Makefile,v 35000.8 1997/03/27 01:13:24 hawkeye Exp $
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994, 1995, 1996 Ken Keys
+#  Copyright (C) 1994, 1995, 1996, 1997 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.
@@ -74,7 +74,12 @@
 	cd ./src; $(MAKE) -f ../unix/unix.mak dist
 
 help ./tf-lib/tf-help: _always_
-	if cd ./help; then $(MAKE) && mv tf-help ../tf-lib; else true; fi
+	if cd ./help; then \
+	    echo "Making help file..."; \
+	    $(MAKE) && mv tf-help ../tf-lib; \
+	else \
+	    true; \
+	fi
 
 tar ../tf-$(TFVER).tar: ./src/*.[ch] srcdist distclean
 	@-cd ./src; echo Possible garbage in ./src/: \
@@ -97,7 +102,7 @@
 dist: ./tf-lib/tf-help ../tf-$(TFVER).tar
 	cd ..; gzip -c tf-$(TFVER).tar > tf-$(TFVER).tar.gz
 	cd ..; compress tf-$(TFVER).tar
-	cd ..; zip -qlr tf-$(TFVER).zip tf-$(TFVER)
+	cd ..; info-zip -qlr tf-$(TFVER).zip tf-$(TFVER)
 	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).tar.Z tf-$(TFVER).zip
 
 gzdist: ./tf-lib/tf-help ../tf-$(TFVER).tar

## tf 4.0g2

=== Makefile ===
########################################################################
#
#  TinyFugue - programmable mud client
#  Copyright (C) 1994, 1995, 1996, 1997 Ken Keys
#
#  TinyFugue (aka "tf") is protected under the terms of the GNU
#  General Public Licence.  See the file "COPYING" for details.
#
########################################################################

# Note: the space on the end of the next line is intentional, so it will
# still work in unix for idiots who got ^M on the end of every line.
default:  all 

all:
	@echo :
	@echo : Use one of the following commands to build TinyFugue:
	@echo :
	@echo : sh unixmake [options]
	@echo : os2make [options]
	@echo :

install files tf clean uninstall: all

# The next line is a hack to get around a bug in BSD/386 make.
make:

=== unix/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 35000.8 1997/03/27 01:13:24 hawkeye Exp $
+# $Id: Makefile,v 35000.21 1998/07/28 06:44:28 hawkeye Exp $
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994, 1995, 1996, 1997 Ken Keys
+#  Copyright (C) 1994 - 1998 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.
@@ -55,7 +55,7 @@
 	-@{ cat src/config.h; echo; } >> Build.log
 
 clean:
-	cd ./src; rm -f *.o Makefile core* exitmsg config.h typescript
+	cd ./src; rm -f *.o Makefile core* exitmsg config.h typescript*
 	cd ./unix; rm -f vars.mak *.log functest* libtest* test.c a.out
 
 distclean:  clean
@@ -82,15 +82,17 @@
 	fi
 
 tar ../tf-$(TFVER).tar: ./src/*.[ch] srcdist distclean
-	@-cd ./src; echo Possible garbage in ./src/: \
-	    `ls *out *err *foo* *bar* *.new *.old *.ok *.c.* *.tf \
+	@-cd ./src; echo Possible garbage in src: \
+	    `ls *in *out *err *foo* *bar* *.new *.old *.ok *.c.* *.tf *[0-9] \
 	    2>/dev/null`
+	@-echo Possible garbage in top: \
+	    `ls *.gz *.Z *.zip 2>/dev/null`
 	@wd=`pwd`; [ "`basename $$wd`" = "work" ] || \
 	    echo 'WARNING: You are not in the "work" directory.'
 	@echo 'Press return to archive tf-$(TFVER).'
 	@read foo
 	rm -rf ../tf-$(TFVER)
-	-for dir in "/" /src/ /src/regexp/ /tf-lib/ /unix/ /os2/; do \
+	-for dir in "/" /src/ /src/regexp/ /tf-lib/ /unix/ /os2/ /win32/; do \
 	    mkdir ../tf-$(TFVER)$${dir}; \
 	    cp .$${dir}* ../tf-$(TFVER)$${dir}; \
 	    chmod ugo+r ../tf-$(TFVER)$${dir}*; \
@@ -99,38 +101,58 @@
 	rm -f ../tf-$(TFVER)/src/dmalloc.c
 	cd ..; tar -cf tf-$(TFVER).tar tf-$(TFVER)
 
-dist: ./tf-lib/tf-help ../tf-$(TFVER).tar
-	cd ..; gzip -c tf-$(TFVER).tar > tf-$(TFVER).tar.gz
-	cd ..; compress tf-$(TFVER).tar
-	cd ..; info-zip -qlr tf-$(TFVER).zip tf-$(TFVER)
-	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).tar.Z tf-$(TFVER).zip
+dist: ./tf-lib/tf-help ../tf-$(TFVER).tar ../tf-$(TFVER)-help.tar
+	cd ..; gzip tf-$(TFVER).tar
+	cd ..; zip -qlr tf-$(TFVER).zip tf-$(TFVER)
+	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).zip
+	cd ..; gzip tf-$(TFVER)-help.tar
+	@echo ""; echo "### Don't forget to assign a cvs tag."
 
 gzdist: ./tf-lib/tf-help ../tf-$(TFVER).tar
 	cd ..; gzip tf-$(TFVER).tar
 
+tarhelp ../tf-$(TFVER)-help.tar: help
+	@wd=`pwd`; [ "`basename $$wd`" = "work" ] || \
+	    echo 'WARNING: You are not in the "work" directory.'
+	@echo 'Press return to archive tf-$(TFVER)-help.'
+	@read foo
+	rm -rf ../tf-$(TFVER)-help;
+	for dir in "/" /commands/ /topics/; do \
+	    mkdir ../tf-$(TFVER)-help$${dir}; \
+	    cp help/$${dir}*.html ../tf-$(TFVER)-help$${dir}; \
+	    chmod ugo+r ../tf-$(TFVER)-help$${dir}*; \
+	done
+	chmod ugo+r ../tf-$(TFVER)-help
+	cd ..; tar -cf tf-$(TFVER)-help.tar tf-$(TFVER)-help
+
+tcp.com:
+	cd ..; scp tf-$(TFVER).tar.gz tf-$(TFVER).zip tf-$(TFVER)-help.tar.gz \
+	    tcp.com:
+
 local:
-	TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
+	TFDEV_TF='/usr/local/bin/tf-$(TFVER)' \
 	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' \
-	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files
+	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake config
 
 devlocal:
-	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
-	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' TFDEV_STRIP=':' \
-	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files
+	CC=tfcc TFDEV_CCFLAGS='-g -DLOCALITY' TFDEV_STRIP=':' \
+	    TFDEV_TF='/usr/local/bin/tf-$(TFVER)' \
+	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' \
+	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake config
 
 devhome:
-	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
+	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_TF="$$HOME/bin/tf-$(TFVER)" \
 	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
 	    TFDEV_SYMLINK="$$HOME/bin/tf" \
-	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files
+	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake config
 
 dev:
-	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
+	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_TF="$$HOME/bin/tf-$(TFVER)" \
 	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
-	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files
+	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake config
 
-laurel: devhome
-	cp CHANGES $$HOME/public_html/tf/
+laurel: devhome files
+	cp CHANGES $$HOME/www/tf/
 
 _always_:

## tf 4.0s1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994, 1995, 1996, 1997 Ken Keys
+#  Copyright (C) 1994 - 1999 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.

=== unix/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 35000.21 1998/07/28 06:44:28 hawkeye Exp $
+# $Id: Makefile,v 35000.22 1999/01/31 00:28:09 hawkeye Exp $
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994 - 1998 Ken Keys
+#  Copyright (C) 1994 - 1999 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.

=== src/regexp/Makefile ===
# This is a customized Makefile, containing only enough to compile regexp.o
# for use with TinyFugue.  The original Makefile has been renamed original.mak.
#
# CC and O should be defined on the make command line.
# CFLAGS may optionally be defined on the make command line.


# -DCHARBITS=0377	compilers without unsigned char (ok on those with it)
# -I.			regexp.h from current directory, not /usr/include

regexp.$O:	regexp.c regexp.h regmagic.h ../config.h
	$(CC) -DCHARBITS=0377 -I. $(CFLAGS) -c regexp.c

# The next line is a hack to get around a bug in BSD/386 make.
make:

=== debian/changelog ===
tf (1:4.0s1-22) unstable; urgency=medium

  * Maintain package in Debian Games team
    Closes: #1111927
  * Add Homepage
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Drop dpkg-dev from Build-Depends
  * Add watch file
  * Fix build with gcc-14
    Closes: #1066561

 -- Andreas Tille <tille@debian.org>  Sun, 31 Aug 2025 18:26:22 +0200

tf (1:4.0s1-21.1) unstable; urgency=medium

  * Non-maintainer upload.
  * unix/Makefile: Trap errors from make. (Closes: #1000460)

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Dec 2021 07:50:06 +0200

tf (1:4.0s1-21) unstable; urgency=medium

  * Fix build with gcc-10 (Closes: Bug#957871)

 -- Jan Niehusmann <jan@debian.org>  Thu, 23 Jul 2020 11:40:24 +0200

tf (1:4.0s1-20) unstable; urgency=medium

  * Fix reproducible builds by not including output of uname.
    (Closes: Bug#861133)
    Thanks to Chris Lamb for noticing and sending the patch.

 -- Jan Niehusmann <jan@debian.org>  Mon, 22 May 2017 16:29:16 +0200

tf (1:4.0s1-19) unstable; urgency=medium

  * Remove kernel version from sysname constant to fix reproducible build.
  * Add CPPFLAGS and LDFLAGS in compile command for makehelp utility.
    (only used during build, so not really a security improvement, but
    to make buildd log scanner happy)

 -- Jan Niehusmann <jan@debian.org>  Thu, 21 May 2015 23:25:30 +0200

tf (1:4.0s1-18) unstable; urgency=medium

  * convert debian/rules to use dh (Closes: Bug#777368)
  * add LDFLAGS to link command to enable hardening flags
  * minor changes to fix lintian warnings

 -- Jan Niehusmann <jan@debian.org>  Mon, 18 May 2015 17:30:08 +0200

tf (1:4.0s1-17) unstable; urgency=low

  * Acknowledge NMU, thank you Andreas! (Closes: Bug#300360)
  * Remove /usr/doc/tf if old tf package left it around (Closes: Bug#320103)
  * Moved menu file to /usr/share/menu

 -- Jan Niehusmann <jan@debian.org>  Fri, 26 Aug 2005 19:52:58 +0200

tf (1:4.0s1-16.1) unstable; urgency=low

  * NMU durring BSP
  * Fix for gcc 4.0 from Andreas Jochens (Closes: #300360)

 -- Blars Blarson <blarson@blars.org>  Sat,  6 Aug 2005 05:08:37 +0000

tf (1:4.0s1-16) unstable; urgency=low

  * Move tf manpage to section 1, as tf is now linked to /usr/bin/tf,
    and tf 5 won't be in /usr/games at all.

 -- Jan Niehusmann <jan@debian.org>  Sun,  9 Jan 2005 02:43:27 +0100

tf (1:4.0s1-15) unstable; urgency=low

  * Support alternatives for tf (in /usr/bin/tf) (Closes: Bug#288632)

 -- Jan Niehusmann <jan@debian.org>  Fri,  7 Jan 2005 14:36:18 +0100

tf (1:4.0s1-14) unstable; urgency=low

  * Fixed segfault if MAIL is not set. (Closes: Bug#169015)

 -- Jan Niehusmann <jan@debian.org>  Thu, 12 Aug 2004 08:32:34 +0200

tf (1:4.0s1-13) unstable; urgency=low

  * New maintainer
  * Add support for Mud Client Compression Protocol (patch from
    http://inphobia.net/openbsd/patches/tinyfugue-openbsd-mccp-patch.gz)
    (Closes: Bug#169970, Bug#176250)
  * Fix lintian warning about manpage-section-missmatch
  * Don't create /usr/doc link in postinst
  * Set Standards-Version to 3.6.1.0

 -- Jan Niehusmann <jan@debian.org>  Thu, 12 Aug 2004 02:01:44 +0200

tf (1:4.0s1-12) unstable; urgency=high

  * Removed buggy SSL patch.  (Closes: Bug#147146)

 -- Brian Mays <brian@debian.org>  Thu, 16 May 2002 05:39:30 -0400

tf (1:4.0s1-11) unstable; urgency=low

  * Applied SSL patch from http://zozo.org.uk/pages.shtml?page=tinyfugue.
    (Closes: Bug#145453)

 -- Brian Mays <brian@debian.org>  Tue, 14 May 2002 13:57:49 -0400

tf (1:4.0s1-10) unstable; urgency=medium

  * Modified postinst to ignore an existing /usr/doc/$package directory.

 -- Brian Mays <brian@debian.org>  Wed, 20 Mar 2002 11:24:06 -0500

tf (1:4.0s1-9) unstable; urgency=low

  * Fixed symlink /usr/doc -> ../share/doc.
  * Fixed reference to GPL.
  * Improved stripping of binaries.
  * Removed icon=none from menu file.
  * Fixed file permissions.

 -- Brian Mays <brian@debian.org>  Sun,  3 Feb 2002 13:02:24 -0500

tf (1:4.0s1-8) unstable; urgency=low

  * Recompiled to fix library problems.  (Closes: Bug#119472)

 -- Brian Mays <brian@debian.org>  Tue, 13 Nov 2001 15:00:42 -0500

tf (1:4.0s1-7) unstable; urgency=low

  * Rebuilt with libncurses5. (Closes: Bug#74501)

 -- Brian Mays <brian@debian.org>  Tue, 24 Oct 2000 12:28:54 -0400

tf (1:4.0s1-6) frozen unstable; urgency=low

  * Added build-time dependencies.

 -- Brian Mays <brian@debian.org>  Mon, 17 Jan 2000 14:03:59 -0500

tf (1:4.0s1-5) unstable; urgency=low

  * Fixed FHS /usr/doc -> /usr/share/doc transition scheme.

 -- Brian Mays <brian@debian.org>  Fri,  1 Oct 1999 14:28:05 -0400

tf (1:4.0s1-4) unstable; urgency=low

  * Modified tf to know the new FHS file locations.  (Closes: Bug#45400)

 -- Brian Mays <brian@debian.org>  Sat, 18 Sep 1999 10:59:55 -0400

tf (1:4.0s1-3) unstable; urgency=low

  * Changed file locations (in /usr/man and /usr/doc) to comply with
    the FHS.  (Closes: Bug#44945)

 -- Brian Mays <brian@debian.org>  Thu, 16 Sep 1999 20:25:36 -0400

tf (1:4.0s1-2) unstable; urgency=low

  * Rebuilt with correct libraries.  (Closes: Bug#37827)

 -- Brian Mays <brian@debian.org>  Tue, 18 May 1999 19:27:37 -0400

tf (1:4.0s1-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Sun, 21 Mar 1999 20:47:04 -0500

tf (1:4.0g3-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Fri,  5 Feb 1999 13:12:16 -0500

tf (1:4.0g2-1) frozen unstable; urgency=low

  * Worlds without type or mfile now use corresponding field of
    "default" world.
  * Improved prompt detection heuristics for typeless worlds.
  * /addworld can reset fields other than host and port for "(unnamedN)"
    worlds.
  * Clarified scope rules in "/help /for".
  * Fixed fatal error when reconnecting in a DISCONNECT hook.

 -- Brian Mays <brian@debian.org>  Fri, 20 Nov 1998 15:10:00 -0500

tf (1:4.0g1-1) frozen unstable; urgency=low

  * New upstream source.



=== debian/control ===
Source: tf
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>,
           Andreas Tille <tille@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/tf
Vcs-Git: https://salsa.debian.org/games-team/tf.git
Homepage: https://tinyfugue.sourceforge.net/

Package: tf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tinyfugue MUD client for TinyMUDs, DikuMUDs, and LPMUDs
 TinyFugue (also known as "Fugue" or "TF") is a line-based client
 designed for connecting to MUD servers (note: LP, Diku, and other
 servers which use prompts require "/lp on"; see /help prompts).
 .
 TinyFugue is larger than most MUD clients, but has many more features
 and is much more flexible. The goal is to provide the most
 functionality in a client that still maintains the user-friendliness
 of Tinytalk.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	echo y | ./unixmake files
	touch build

override_dh_auto_install:
	mkdir -p \
		debian/tf/usr/games \
		debian/tf/usr/share/games \
		debian/tf/usr/share/man/man1 \
		debian/tf/usr/share/doc/tf/examples
	./unixmake install \
		TF=$(CURDIR)/debian/tf/usr/games/tf \
		LIBDIR=$(CURDIR)/debian/tf/usr/share/games/tf \
		MANPAGE=$(CURDIR)/debian/tf/usr/share/man/man1/tf4.1 \
		AM_UPDATE_INFO_DIR=no
	mv debian/tf/usr/share/games/tf/CHANGES  debian/tf/usr/share/doc/tf/changelog
	mv debian/tf/usr/share/games/tf/tfrc debian/tf/usr/share/doc/tf/examples/

override_dh_auto_clean:
	./unixmake distclean
	-rm -r build

=== debian/watch ===
version=4

opts="uversionmangle=s/^(\d)/$1./" \
  https://sf.net/tinyfugue/@PACKAGE@-(\d[\d.s]+)@ARCHIVE_EXT@

## tf 5.0b8-maemo2

=== debian/changelog ===
tf (5.0b8-maemo2) unstable; urgency=low

  * Build using mud-builder by andrew

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Mon,  4 Jan 2010 20:21:38 +0000

tf (5.0b8) unstable; urgency=low

  * Initial Release.

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Mon,  4 Jan 2010 20:20:39 +0000

=== debian/control ===
Source: tf
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/games
Priority: extra
Maintainer: MUD Build Team <mud-builder-users@garage.maemo.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.6.1

Package: tf
XB-Maemo-Display-Name: TinyFugue
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAADpVJREFUeNrEWnlsHOd1/30z
  szt7krs8ReqwDtKy5VOxHTRxC7eO6wRBFQdF7bj9owhapKnRK03/KFwUbRon
  TtGigPNHW6ApGiRB08Rp0VRoDaVOU8R1bdVRLEsyaYmSSJEUyeWxy+UeM7Nz
  9r1vZpa7NCUblAKPtNjZme949/u991GcOHHi28PDwz8rhDBBl+8HUBSBzsv3
  fXqmIAh8CMHfAX2L9jsgvO+cR+/VkZGR9F133TWwvLyMaFAQvz9+/Diq1aqc
  73keksmkXJcv/k4kEvKb32maFu2D9jfTs7CwAG10dPRR27YL/MBnwmgP1xVE
  QNDBgpALyfUDl34GEZFyKfp48rfntqmXG5imCcts9dCTWqdAXnrpJczPz7cJ
  vpFLIymUaaMCE6NoOrR0PhSWULpHkvTlMyba37Kx0KIxbX5JagrsDRvDBW3M
  tXCpaaPBI86dPYuJyUmQ0CSTN8wAL8KfpJ6CGjjA4kmpsoCpCSJqlA4LCLYa
  wybR7ce+1DGKxTzuHO9/vyLs6vnZWu3xT3wCa2trkvibdWmsRp/MQ0nlYVz8
  AY5Mfha7bz0C8CYFHX7VgucwQeIaS3RwI5kIOVFICMpaHfsGC/efn1ZO09vp
  5VIJjUZDMuC6buRXQWSeQZdJxbbO7+L38e/Ix2BZFqTuQ9tnS9CRHDoADN4G
  ZHR8+YUGfu9YHspyFdG8TaIVbK8NEfmArgPVKbK6xKH5hWrw9NN/9Nlnn/3i
  X83MTOM27/Z2ELjWxQTHJtbpuDEjfE/B4SJrIGDHlY5JL22LJJ/V8MZsgM/8
  zWUMF8fw5BEVbrMZOjFTztoIIv+VQaiDA2WTM+EI3rzXcZFeWV7R5ubmsbC4
  SNOVNpExI1vvO6JZ+3fne1VVee0eLVRduKdHjppk4uwkPvr5CdxzawZf+pcS
  nrxzhDRAqo7ELdiJpTOH5sKhlYnyw0VC4j0fCeZTBAo9URVNtfVkAtl05l1J
  XxIcCyoOHDTPdmw0m4bUCn3qGt8EUkXECA1KaComF10c2KXjf792FNWTV2FU
  TJoYm0en6ZMkKH4nAgtBy0IqSfFay6LpeBQQFLJRD44tfLImb25ubuBzz/w5
  ltdKUIW6Ddm+/B9EJig127bNUDsG2fxgXxFP/eanYRiGZFT6gBeExDPjditA
  IaXgjRkT5XMb6O8VWL3SCqUh2sFf3ieIeN1aw8xqDefKRG+tHDz28AfShV5y
  fjdA1VewWndaiqo4s7NzCZv8yDTMzTWwfSS71ssmmbHRaErziX1DCyL74X8c
  QTYMD+MDAh97oBcjnz6H0188jMPFDFZICzIQcSpgB0tSzrCq+N5Eyf3adO/F
  mSXjakItVL9fnhv41M/tv//BvVb+3PQ6rpTUsmn5jXQq7eezOWiqguuRievE
  OoUYT6fTRAKZc+TYWhy+ZDilFzZlU2Ohhn96ahS/ShR/+C8vY+ZLY8QjmZEX
  hD5Ky2XIcS/PLeKb0/nZ199cOr1Yqv4wn0le8Yye3mfKxt378vipmRUo5Ur9
  fMvFouc5Dd/3KHx67+gD2zJAc1yaz2uwxSCiOcwDfviAVeI6CowWOTOZxdd/
  /yBu/503MbHsYTfFddOk2E1DySTgWyZKTtpbrDpzlUrj5Zbtfa9lm7NrVRN7
  +9e+c9LyxwwzGKNpTO2a6/EV+ZsidpCyKBrx/A6BtxloJ5Eo1puKjh9csPDE
  qCJ9gx3FIgNmR1ZUclzyNI9pSGQ8z66sEFFT9Gv2Tz/3ZyivVR4wW+ZnXMdT
  Fq/OPfvi91889/HHHkPLcQ+LyG4FdqYBGXAYUCIUuswVQaSOdvgix7N8DZ/8
  h6vo/7XXcHRvGncMcjhTkKUok0loSJAGSOJkh5QyMkmLHjUHB/vIyRq/qOey
  r01MTP3KzOz8k3fefe/Zz3/hC88w6hwbH/9opVqRcYU339nHl+HU8yO/jRnw
  pQZkFEfd9DCU8vHKnxwhTKTiq79xCJMlH6tqD9aTvSiJHDZAuCmVRSbwk8MD
  PdneXAIWGXqlUv/6iRdOIJ/TkevN4EdnT+OVV1794wOHxoMzZ94cCiOHdwMf
  XxpJlwnFkpcuTInJoey5vGJigLLxs4+NYIHuP/gX03BpTJIQZrXu4pc/0Ie/
  e3wXCguLuK0vOFQeG87frRdunZ5fyA6RJoaHe/BIZhr9B1T87YUevHHuDGlN
  lzkmhgU7MyGXcJsfYsq4VqAFVSl6CSjIicm4LTtAnUDXQ6NJGOt1vPDbtyCt
  J6TtupwQCRvMlghapPow2jh/9MF7Dz6cyg/96L+ndPT3ZHHUm8JHxvtQq65i
  MOthaTW0fZfMEDusAdo+4Iewh02Kn4VRSJqPJx8SbWRjlPVsH7WyJWFONklR
  x4gXonsKpxWXIlUyi3vHbscd6cwfLHvG/1i9VexCHe/fk8WGWoBhLsM3q2g2
  KBFSzZDP5SAEds4ASdyngkqit8DfYkJ+6AuEcineQlZlfpSlW02vO1sKBjek
  jVYLlsrZ2E8M+cHDjw4S/snugkEM2kaL0r2NbL4PD9y360QuN/DgqydfzScS
  yRvUANPrRREpYBOKHIJFzRogWl0Kl5RvJAN+ILqKrRhcMWaTOdXx0VJ8uYGq
  ZoCGK8N8OqGQTsmZ08r88e9+53fH7nro16lo+kOXagGh7DSMeqEf+JsMacwP
  PwjcMMMpTiBrW598gdFpmwmli/4QOYsQhAl6z/DCpbmc7lV67sga2YdZW1sR
  WmLk6tX5RrF/QBIhArFzE/LRVQRpqXRa5woplcmQBBMELnSkUmkyoxAe0zDS
  iidhrNcRQIKwHpWhVlM0aVJMvBLhPT2ZIiZUmuMpBLVFUktkQgL8HUOJ0Gzc
  7jC6Xi5nGoyviXi2ab+yjoXJNymcumhx3CXom9LTyA0Mw2Jm/CACVpSlyY6s
  9TIqG1XuZUAnlKgKITMlfyeJwUo9sA3LsbNCqBxAPH/nWMiTJiS6GXj8iSd2
  0/vRQhbj9922+/79w33vE01/H5GQJWtmWCyKdi1zT09vXx7JrKAs7BJjOuWE
  xdnLWCvkyyUtWa3VvVaCbENVhRIIxbcdTzQsz5heapwnDFUlNXi+G8bxHWsg
  wlJbExk3tBYIupiXlmqlq5Xm65XKhrDdIMN1cE9WCx75mfHhkm4+ai+1PtY3
  UJSIkuiERQ7c0MXazFX71OWZ6pRlWvMt29kgr5Lh2rY907CwTJb3FpngakqW
  gTemAUQmFBf3WuSTbtPy15qLdUo5mHj4Qx96yjJaCVVTWr15ffSWw/37cOn8
  /ZlUjyTaZTWSifUP7Mag7R3W9gXnhNP6z6n5ZGJo776Pp1J6luBzU1FUXVNJ
  ZQIr+2/Z//Onfvy63Hgn/aBYA34ECOOyU4v8Me6p4fDhw3juuee+vLK8jEJf
  P771/D/izEvH8QtDvUjmc2hQWce1MWNznfEQzSlOzf7STx/d/0JmqP+vXz75
  RnqY4ESYsaJuB92/9uNTsJom1B3CiTiMev6m+chM3Dno0qVLWF1dxcz0tOxb
  OhwGm2WM2hsYHB7HWpOcXCgSULGrtkiagsrKg/tvx3Sl+qlDB4vPJVIPPf0f
  //6vKBaKYUchClkc+0kjEfHBjhlABOriaNbWZblcRr1el105bj7JVM21AI3Q
  E2naUpERgDM1t0e55pV4hLVB96XF1Vv/7Z+/+fKuocIjj374I+DIJshUeJM4
  cXWiyh1/OitIbjrzwrOzs5icnJRMcOHMgIszLVtck+D1SsuEx9UYOSFLUdBH
  1ZLQmDGC0RdJc/NKotQwlDu/8pW//6+R4eFveMSpbBTc5A+2VmRnz57F3Nyc
  bPfF0UEWzKwiGtCsWZhoOvig28IQgbcNsyklGlBBw93nhtPA5axYmSmbU7Wa
  vWS0Aly5MlfjjkXA2fJmNUHZHKUWotI3ak1q3Gzd2gkLe/aho3GhMley8N3F
  FRxME0pdWMKeXA/0vuzimuaYJdupv7VQe2vqYuVFstBvHDt2bKBYLP6W3bKg
  c3sxuDksiLgFKtDlA9rWiLCpHr8NfRtNG1OX1nGF6EkT5LjgaBgRPdWN8voP
  p6ZW/s+0vAtH7r7HHjt08JPFYt9Xn3/+eeRyWZKYh5t3bULozsOOtzHQ6TBs
  xzyR72VEannYqFpkbuuYni4fOXRw/MjeA3ccy2QzykB/3+jExARmrkyj0FuI
  NgxwM6/ODjbnE25waVs32dq2CLtFoQ5VJWzsprWEzIrnL0wygNvDr9mHuOnU
  V+wLIwVuLvExgAy21sRed9+8qxvsyRZI2ANtd4CjpZiZbCbTnsfEd6r3J3IF
  m/0r/kgNbE3rcQ/ecZx3JOZmm8i7vWIGOBJp2xHBL1gzrhsiDMb88hDwJynd
  d5GJY2HH9Mkwup0PxEef/OFIlKCElUzq75nEYwYcQsEK+R9bRzsPbBeFPKop
  eYBLA7lKS2czskp7rxlwKTfplCAdp9UW8NucmLlivO/JMpIYIGyUzWZlyfle
  M8Ci5q6G1AAHGJt8YOuRZyBbKyR9ZsC2oNKEXL6HmMiHXWxsaU909yyukUPf
  acw1Tj23MKAqCVANj2bDBHc3lCS2MSHKdvzSIdzfaBgwjAahVFNODg8CY5pE
  98n29aJ3ALz7jlbQcZbVffzZslsQqpBdQ9M0pGVogwODXdMZv5x2zqBuEGij
  OPvA++7DntF9xHlq8+8oZIeYMiGh0rBHRM7ui7ernIShSvTa0RbcPBHrNt3o
  UE+WjrReOFaJDvuistENjxmbZgMGCVfmgZXVla6F+I8sTCLebtlYd9dlfbBn
  97CUBgM8Jf4jD9pEEarMutxs2uoeklHaWePxNM5xbXlAgetUk9zpYJ9jQhnJ
  xmOFPBT0ZUuR7X99fV0+p3uhXbx4sWsRyRUtksvlpENvbGxQdbYuCRRKx6G8
  iA+dA3l//WR3/THb/WXM9ZyZs74EcpqW0U6dOvW2QTRgiTbWO2vla9HXcfgs
  dhph4uwftifVgINIFPHENZxEWrthGLP/L8AAx50C28V2ByIAAAAASUVORK5C
  YII=
  ====
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Flexible, screen-oriented, command-line MUD client.
  TinyFugue is a programmable multi-user dungeon (MUD) client. It can
  connect to multiple servers, displaying each in a virtual window with
  full-colour support.
  .
  This version is intended to be run from within X Terminal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-inet6 --disable-mailcheck


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tf.sgml > tf.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	$(MAKE) -f unix/Makefile distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tf.
	$(MAKE) prefix=$(CURDIR)/debian/tf/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGES
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	if which maemo-optify >/dev/null ; then maemo-optify ; fi
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tf 35a20

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ########################################################################
 #
 #  TinyFugue - programmable mud client
-#  Copyright (C) 1994 - 1999 Ken Keys
+#  Copyright (C) 1994, 1995, 1996 Ken Keys
 #
 #  TinyFugue (aka "tf") is protected under the terms of the GNU
 #  General Public Licence.  See the file "COPYING" for details.

=== unix/Makefile ===
# $Id: Makefile,v 35000.5 1996/05/28 00:05:09 hawkeye Exp $
########################################################################
#
#  TinyFugue - programmable mud client
#  Copyright (C) 1994, 1995, 1996 Ken Keys
#
#  TinyFugue (aka "tf") is protected under the terms of the GNU
#  General Public Licence.  See the file "COPYING" for details.
#
#  DO NOT EDIT THIS FILE.  To change the default configuration,
#  see "README" and edit "Config".
#
########################################################################

# unix Makefile.
# This is invoked from unixmake, so the working directory is the root.

SHELL = /bin/sh

default: install
# If the next rule were first, a few strange versions of make would try
# to make "install", "all", AND "files", instead of just "install".

install all files: src/Makefile src/config.h _log
	cd ./src; { $(MAKE) $@ 2>&1; echo; cat exitmsg; } | \
	    { tee -a ../Build.log || cat; }

reconfigure:  unconfigure install

unconfigure:
	rm -f src/Makefile src/config.h

config src/Makefile src/config.h: Makefile unix/Config unix/tfconfig unix/unix.mak
	@rm -f ../src/Makefile ../src/config.h ../Build.log tfconfig.log
#	Use tfconfig to create config files.  If it fails, we don't exit
#	now, we want to create Build.log first.  Instead, we rm src/Makefile
#	but not src/config.h;  this lets 'install' continue on to '_log'.
#	('install' probably got here via the src/Makefile dependancy; if we
#	rm'd src/config.h, then 'install' would come back here again for the
#	src/config.h dependancy.)  Then, '_log' will create Build.log and,
#	if an error occured in this rule, '_log' will exit.
#	Note: tee eats exit code of tfconfig, so we couldn't use it anyway.
#	Note: some buggy versions of bash can't handle using descriptor 3 here.
	-@cd unix; \
		{ ./tfconfig $(TFVER) 2>&1 4>../src/config.h 5>vars.mak || \
		rm -f ../src/Makefile; } | \
			tee tfconfig.log

_log:
	-@{ cat unix/tfconfig.log; echo; } > Build.log
#	Exit now if there were errors in tfconfig.
	@test -f src/Makefile && test -f src/config.h
#	No errors.  Save info in Build.log, and continue.
	-@{ cat unix/vars.mak; echo; } >> Build.log
	-@{ cat src/config.h; echo; } >> Build.log

clean:
	cd ./src; rm -f *.o Makefile core* exitmsg config.h typescript
	cd ./unix; rm -f vars.mak *.log functest* libtest* test.c a.out

distclean:  clean
	rm -f Build.log
#	cd ./tf-lib; rm -f tf-help.idx
	cd ./src; rm -f tf makehelp tags
	cd ./src; rm -f tf.pixie* tf.Addrs* tf.Counts*

spotless cleanest veryclean:  distclean
	cd ./src; rm -f tf.1.catman

uninstall:
	cd ./src; $(MAKE) uninstall

srcdist:
	cd ./src; $(MAKE) -f ../unix/unix.mak dist

help ./tf-lib/tf-help: _always_
	if cd ./help; then $(MAKE) && mv tf-help ../tf-lib; else true; fi

tar ../tf-$(TFVER).tar: ./src/*.[ch] srcdist distclean
	@-cd ./src; echo Possible garbage in ./src/: \
	    `ls *[0-9]* *out *err *foo* *bar* *.new *.old *.ok *.c.* *.tf \
	    2>/dev/null`
	@wd=`pwd`; [ "`basename $$wd`" = "work" ] || \
	    echo 'WARNING: You are not in the "work" directory.'
	@echo 'Press return to archive tf-$(TFVER).'
	@read foo
	rm -rf ../tf-$(TFVER)
	-for dir in "/" /src/ /src/regexp/ /tf-lib/ /unix/ /os2/; do \
	    mkdir ../tf-$(TFVER)$${dir}; \
	    cp .$${dir}* ../tf-$(TFVER)$${dir}; \
	    chmod ugo+r ../tf-$(TFVER)$${dir}*; \
	done
	chmod ugo+r ../tf-$(TFVER)
	rm -f ../tf-$(TFVER)/src/dmalloc.c
	cd ..; tar -cf tf-$(TFVER).tar tf-$(TFVER)

dist: ./tf-lib/tf-help ../tf-$(TFVER).tar
	cd ..; gzip -c tf-$(TFVER).tar > tf-$(TFVER).tar.gz
	cd ..; compress tf-$(TFVER).tar
	cd ..; zip -qlr tf-$(TFVER).zip tf-$(TFVER)
	cd ..; chmod ugo+r tf-$(TFVER).tar.gz tf-$(TFVER).tar.Z tf-$(TFVER).zip

gzdist: ./tf-lib/tf-help ../tf-$(TFVER).tar
	cd ..; gzip tf-$(TFVER).tar

local:
	TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' \
	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files

devlocal:
	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE='/usr/local/bin/tf-$(TFVER)' \
	    TFDEV_LIBDIR='/usr/local/lib/tf-$(TFVER)-lib' TFDEV_STRIP=':' \
	    TFDEV_SYMLINK='/usr/local/bin/tf' ./unixmake files

devhome:
	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
	    TFDEV_SYMLINK="$$HOME/bin/tf" \
	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files

dev:
	CC=tfcc TFDEV_CCFLAGS='-g' TFDEV_EXE="$$HOME/bin/tf-$(TFVER)" \
	    TFDEV_LIBDIR="$$HOME/lib/tf-$(TFVER)-lib" TFDEV_STRIP=':' \
	    TFDEV_QUIET=yes TFDEV_DMALLOC=0 ./unixmake files

laurel: devhome
	cp CHANGES $$HOME/public_html/tf/

_always_:

# hack to get around a bug in BSDi (and FreeBSD?) make.
make:

=== src/regexp/Makefile ===
--- 
+++ 
@@ -11,6 +11,3 @@
 regexp.$O:	regexp.c regexp.h regmagic.h ../config.h
 	$(CC) -DCHARBITS=0377 -I. $(CFLAGS) -c regexp.c
 
-# The next line is a hack to get around a bug in BSD/386 make.
-make:
-

## tf cli-0.0.3

=== requirements.txt ===
pytest==6.2.5
pydantic==1.8.2
hypothesis==6.24.0
click==8.1.3
